Package tigase.server.bosh

## Class Constants

- java.lang.Object
- - tigase.server.bosh.Constants

-     public abstract class Constants
      extends java.lang.Object

  Describe class Constants here.
  Created: Tue Jun 5 22:22:09 2007
  Author:
    Artur Hefczyc

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected static class` | `Constants.CacheAction` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static java.lang.String` | `ACCEPT_ATTR` |
    `protected static java.lang.String` | `ACK_ATTR` |
    `protected static java.lang.String` | `AUTHID_ATTR` |
    `protected static java.lang.String` | `BATCH_QUEUE_TIMEOUT_KEY` |
    `protected static long` | `BATCH_QUEUE_TIMEOUT_VAL` |
    `protected static java.lang.String` | `BODY_EL_NAME` |
    `protected static java.lang.String[]` | `BODY_EL_PATH` |
    `protected static long` | `BOSH_SESSION_CLOSE_DELAY_DEF_VAL` |
    `protected static java.lang.String` | `BOSH_SESSION_CLOSE_DELAY_PROP_KEY` |
    `static java.lang.String` | `BOSH_VERSION` |
    `protected static java.lang.String` | `BOSH_XMLNS` |
    `protected static java.lang.String` | `CACHE_ATTR` |
    `protected static java.lang.String` | `CACHE_ID_ATTR` |
    `protected static java.lang.String` | `CHARSETS_ATTR` |
    `protected static java.lang.String` | `CONCURRENT_REQUESTS_PROP_KEY` |
    `protected static int` | `CONCURRENT_REQUESTS_PROP_VAL` |
    `protected static java.lang.String` | `CONTENT_ATTR` |
    `protected static java.lang.String` | `CONTENT_TYPE_DEF` |
    `protected static java.lang.String` | `FROM_ATTR` |
    `protected static java.lang.String` | `HOLD_ATTR` |
    `protected static java.lang.String` | `HOLD_REQUESTS_PROP_KEY` |
    `protected static int` | `HOLD_REQUESTS_PROP_VAL` |
    `protected static java.lang.String` | `HOST_ATTR` | Name of custom attribute to pass name of host to which BOSH connection is established
    `protected static java.lang.String` | `INACTIVITY_ATTR` |
    `protected static java.lang.String` | `LANG_ATTR` |
    `protected static java.lang.String` | `MAX_BATCH_SIZE_KEY` |
    `protected static int` | `MAX_BATCH_SIZE_VAL` |
    `protected static java.lang.String` | `MAX_INACTIVITY_PROP_KEY` |
    `protected static long` | `MAX_INACTIVITY_PROP_VAL` |
    `protected static int` | `MAX_PACKETS` |
    `protected static java.lang.String` | `MAX_PAUSE_PROP_KEY` |
    `protected static long` | `MAX_PAUSE_PROP_VAL` |
    `protected static java.lang.String` | `MAX_SESSION_WAITING_PACKETS_KEY` |
    `protected static int` | `MAX_SESSION_WAITING_PACKETS_VAL` |
    `protected static java.lang.String` | `MAX_WAIT_DEF_PROP_KEY` |
    `protected static long` | `MAX_WAIT_DEF_PROP_VAL` |
    `protected static java.lang.String` | `MAXPAUSE_ATTR` |
    `protected static java.lang.String` | `MIN_POLLING_PROP_KEY` |
    `protected static long` | `MIN_POLLING_PROP_VAL` |
    `protected static java.lang.String` | `POLLING_ATTR` |
    `protected static java.lang.String` | `PRE_BIND_ATTR` |
    `protected static java.lang.String` | `REQUESTS_ATTR` |
    `protected static java.lang.String` | `RESTART_ATTR` |
    `protected static java.lang.String` | `RID_ATTR` |
    `protected static java.lang.String` | `ROUTE_ATTR` |
    `protected static java.lang.String` | `SECURE_ATTR` |
    `protected static java.lang.String` | `SEND_NODE_HOSTNAME_KEY` |
    `protected static boolean` | `SEND_NODE_HOSTNAME_VAL` |
    `protected static java.lang.String` | `SESSION_ID_ATTR` |
    `protected static java.lang.String` | `SID_ATTR` |
    `protected static java.lang.String` | `SID_LOGGER_KEY` |
    `protected static java.lang.String` | `SID_LOGGER_VAL` |
    `protected static java.lang.String` | `TO_ATTR` |
    `protected static java.lang.String` | `USER_ID_ATTR` |
    `protected static java.lang.String` | `VER_ATTR` |
    `protected static java.lang.String` | `WAIT_ATTR` |
    `protected static java.lang.String` | `XMLNS_CLIENT_VAL` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Constants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BOSH_VERSION

          public static final java.lang.String BOSH_VERSION

      See Also:
        Constant Field Values

    - #### ACCEPT_ATTR

          protected static final java.lang.String ACCEPT_ATTR

      See Also:
        Constant Field Values

    - #### ACK_ATTR

          protected static final java.lang.String ACK_ATTR

      See Also:
        Constant Field Values

    - #### AUTHID_ATTR

          protected static final java.lang.String AUTHID_ATTR

      See Also:
        Constant Field Values

    - #### BATCH_QUEUE_TIMEOUT_KEY

          protected static final java.lang.String BATCH_QUEUE_TIMEOUT_KEY

      See Also:
        Constant Field Values

    - #### BATCH_QUEUE_TIMEOUT_VAL

          protected static final long BATCH_QUEUE_TIMEOUT_VAL

      See Also:
        Constant Field Values

    - #### BODY_EL_NAME

          protected static final java.lang.String BODY_EL_NAME

      See Also:
        Constant Field Values

    - #### BODY_EL_PATH

          protected static final java.lang.String[] BODY_EL_PATH

    - #### BOSH_SESSION_CLOSE_DELAY_DEF_VAL

          protected static final long BOSH_SESSION_CLOSE_DELAY_DEF_VAL

      See Also:
        Constant Field Values

    - #### BOSH_SESSION_CLOSE_DELAY_PROP_KEY

          protected static final java.lang.String BOSH_SESSION_CLOSE_DELAY_PROP_KEY

      See Also:
        Constant Field Values

    - #### BOSH_XMLNS

          protected static final java.lang.String BOSH_XMLNS

      See Also:
        Constant Field Values

    - #### CACHE_ATTR

          protected static final java.lang.String CACHE_ATTR

      See Also:
        Constant Field Values

    - #### CACHE_ID_ATTR

          protected static final java.lang.String CACHE_ID_ATTR

      See Also:
        Constant Field Values

    - #### CHARSETS_ATTR

          protected static final java.lang.String CHARSETS_ATTR

      See Also:
        Constant Field Values

    - #### CONCURRENT_REQUESTS_PROP_KEY

          protected static final java.lang.String CONCURRENT_REQUESTS_PROP_KEY

      See Also:
        Constant Field Values

    - #### CONCURRENT_REQUESTS_PROP_VAL

          protected static final int CONCURRENT_REQUESTS_PROP_VAL

      See Also:
        Constant Field Values

    - #### CONTENT_ATTR

          protected static final java.lang.String CONTENT_ATTR

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE_DEF

          protected static final java.lang.String CONTENT_TYPE_DEF

      See Also:
        Constant Field Values

    - #### FROM_ATTR

          protected static final java.lang.String FROM_ATTR

      See Also:
        Constant Field Values

    - #### HOLD_ATTR

          protected static final java.lang.String HOLD_ATTR

      See Also:
        Constant Field Values

    - #### HOLD_REQUESTS_PROP_KEY

          protected static final java.lang.String HOLD_REQUESTS_PROP_KEY

      See Also:
        Constant Field Values

    - #### HOLD_REQUESTS_PROP_VAL

          protected static final int HOLD_REQUESTS_PROP_VAL

      See Also:
        Constant Field Values

    - #### HOST_ATTR

          protected static final java.lang.String HOST_ATTR

      Name of custom attribute to pass name of host to which BOSH connection is established
      See Also:
        Constant Field Values

    - #### INACTIVITY_ATTR

          protected static final java.lang.String INACTIVITY_ATTR

      See Also:
        Constant Field Values

    - #### LANG_ATTR

          protected static final java.lang.String LANG_ATTR

      See Also:
        Constant Field Values

    - #### PRE_BIND_ATTR

          protected static final java.lang.String PRE_BIND_ATTR

      See Also:
        Constant Field Values

    - #### SESSION_ID_ATTR

          protected static final java.lang.String SESSION_ID_ATTR

      See Also:
        Constant Field Values

    - #### USER_ID_ATTR

          protected static final java.lang.String USER_ID_ATTR

      See Also:
        Constant Field Values

    - #### MAX_BATCH_SIZE_KEY

          protected static final java.lang.String MAX_BATCH_SIZE_KEY

      See Also:
        Constant Field Values

    - #### MAX_INACTIVITY_PROP_KEY

          protected static final java.lang.String MAX_INACTIVITY_PROP_KEY

      See Also:
        Constant Field Values

    - #### MAX_INACTIVITY_PROP_VAL

          protected static final long MAX_INACTIVITY_PROP_VAL

      See Also:
        Constant Field Values

    - #### MAX_PACKETS

          protected static final int MAX_PACKETS

      See Also:
        Constant Field Values

    - #### MAX_PAUSE_PROP_KEY

          protected static final java.lang.String MAX_PAUSE_PROP_KEY

      See Also:
        Constant Field Values

    - #### MAX_PAUSE_PROP_VAL

          protected static final long MAX_PAUSE_PROP_VAL

      See Also:
        Constant Field Values

    - #### MAX_SESSION_WAITING_PACKETS_KEY

          protected static final java.lang.String MAX_SESSION_WAITING_PACKETS_KEY

      See Also:
        Constant Field Values

    - #### MAX_SESSION_WAITING_PACKETS_VAL

          protected static final int MAX_SESSION_WAITING_PACKETS_VAL

      See Also:
        Constant Field Values

    - #### MAX_WAIT_DEF_PROP_KEY

          protected static final java.lang.String MAX_WAIT_DEF_PROP_KEY

      See Also:
        Constant Field Values

    - #### MAX_WAIT_DEF_PROP_VAL

          protected static final long MAX_WAIT_DEF_PROP_VAL

      See Also:
        Constant Field Values

    - #### MAXPAUSE_ATTR

          protected static final java.lang.String MAXPAUSE_ATTR

      See Also:
        Constant Field Values

    - #### MIN_POLLING_PROP_KEY

          protected static final java.lang.String MIN_POLLING_PROP_KEY

      See Also:
        Constant Field Values

    - #### MIN_POLLING_PROP_VAL

          protected static final long MIN_POLLING_PROP_VAL

      See Also:
        Constant Field Values

    - #### POLLING_ATTR

          protected static final java.lang.String POLLING_ATTR

      See Also:
        Constant Field Values

    - #### REQUESTS_ATTR

          protected static final java.lang.String REQUESTS_ATTR

      See Also:
        Constant Field Values

    - #### RESTART_ATTR

          protected static final java.lang.String RESTART_ATTR

      See Also:
        Constant Field Values

    - #### RID_ATTR

          protected static final java.lang.String RID_ATTR

      See Also:
        Constant Field Values

    - #### ROUTE_ATTR

          protected static final java.lang.String ROUTE_ATTR

      See Also:
        Constant Field Values

    - #### SECURE_ATTR

          protected static final java.lang.String SECURE_ATTR

      See Also:
        Constant Field Values

    - #### SEND_NODE_HOSTNAME_KEY

          protected static final java.lang.String SEND_NODE_HOSTNAME_KEY

      See Also:
        Constant Field Values

    - #### SEND_NODE_HOSTNAME_VAL

          protected static final boolean SEND_NODE_HOSTNAME_VAL

      See Also:
        Constant Field Values

    - #### SID_ATTR

          protected static final java.lang.String SID_ATTR

      See Also:
        Constant Field Values

    - #### TO_ATTR

          protected static final java.lang.String TO_ATTR

      See Also:
        Constant Field Values

    - #### VER_ATTR

          protected static final java.lang.String VER_ATTR

      See Also:
        Constant Field Values

    - #### WAIT_ATTR

          protected static final java.lang.String WAIT_ATTR

      See Also:
        Constant Field Values

    - #### XMLNS_CLIENT_VAL

          protected static final java.lang.String XMLNS_CLIENT_VAL

      See Also:
        Constant Field Values

    - #### MAX_BATCH_SIZE_VAL

          protected static final int MAX_BATCH_SIZE_VAL

      See Also:
        Constant Field Values

    - #### SID_LOGGER_KEY

          protected static final java.lang.String SID_LOGGER_KEY

      See Also:
        Constant Field Values

    - #### SID_LOGGER_VAL

          protected static final java.lang.String SID_LOGGER_VAL

  - ### Constructor Detail

    - #### Constants

          public Constants()